=== on 2 Aug 2013, 15:29:42 Freddy Mallet wrote:
Is implemented by \https://jira.codehaus.org/browse/SONARJAVA-219

=== on 15 Aug 2013, 14:38:48 Dinesh Bolkensteyn wrote:
For some reason, public static final members were previously excluded.

I removed that exclusion to be in sync with the description, and because I don't see why those should be excluded in the first place.

=== on 16 Aug 2013, 11:42:25 Dinesh Bolkensteyn wrote:
As discussed, public static final fields are excluded from public API because they are usually self descriptive and do not need to be documented.

=== on 21 Jul 2016, 15:37:55 Freddy Mallet wrote:
\[~ann.campbell.2], as discussed with [~nicolas.peru] today, this rule generates some noise/controverses out of the box and even with **.api.** as default value for parameter forClasses. So we would suggest to remove it from the "Sonar way" quality profile.

=== on 21 Jul 2016, 15:46:14 Ann Campbell wrote:
done [~freddy.mallet]

=== on 5 Dec 2017, 02:10:16 yuhan wrote:
{color:red}At least 1 line of description which should have more than one word.{color}

if the description is not engilish,may not have space.such as


 /**

* 将字节转为字符(解码)
     *

* @param bytes 字节数组
* @return 字符数组
     */


{empty}.is's a bug??

=== on 8 Dec 2017, 15:43:54 Jean-Christophe Collet wrote:
\[~yuhan0501] That particular section of the rule has been relaxed in SonarJava 4.13 (it doesn't check the number of words any longer) but we forgot to update the RSPEC itself, I apologise for that oversight. I now have updated the RSPEC to reflect that decision.

And you are right, previous implementation had a bug where it ignored localisation.

Best regards

